<?php

namespace IZON\Admin\MVC;

/**
 * contains info of currently shown module
 */
class ModuleInfo {
    
    const MODULE_INFO_INDENTIFIER = "_moduleInfo";
    
    /**
     * typ modulu
     * @var string
     */
    protected $type;
    
    /**
     * unikatni identifikator daneh modulu
     * @var string 
     */
    protected $identifier;

    /**
     * 
     * @var string
     */
    protected $name;
    
    /**
     * called controller
     * @var string 
     */
    protected $controllerId;
    
    /**
     *
     * @var string called action of controller
     */
    protected $action;
    
    /**
     * @var string index of action from moduleActions field vrom module-config.php
     */
    protected $actionIdentifier;
    
    /**
     * @var string name of action to show 
     */
    protected $actionName;
    
    /**
     * @var string index of action from moduleActions from which was this action called
     */
    protected $parentActionIdentifier;
    

/// generovane gettery a settery
    function getType() {
        return $this->type;
    }

    function getIdentifier() {
        return $this->identifier;
    }

    function getName() {
        return $this->name;
    }

    function getControllerId() {
        return $this->controllerId;
    }

    function getAction() {
        return $this->action;
    }

    function getActionName() {
        return $this->actionName;
    }

    function setType($type) {
        $this->type = $type;
    }

    function setIdentifier($identifier) {
        $this->identifier = $identifier;
    }

    function setName($name) {
        $this->name = $name;
    }

    function setControllerId($controllerId) {
        $this->controllerId = $controllerId;
    }

    function setAction($action) {
        $this->action = $action;
    }

    function setActionName($actionName) {
        $this->actionName = $actionName;
    }
    
    function getActionIdentifier() {
        return $this->actionIdentifier;
    }

    function getParentActionIdentifier() {
        return $this->parentActionIdentifier;
    }

    function setActionIdentifier($actionIdentifier) {
        $this->actionIdentifier = $actionIdentifier;
    }

    function setParentActionIdentifier($parentActionIdentifier) {
        $this->parentActionIdentifier = $parentActionIdentifier;
    }
}
